<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Student page</title>
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/media.css">
    <link rel="manifest" href="manifest.json">
</head>
<body>

    <script>
        // if ('serviceWorker' in navigator) {
        //     window.addEventListener('load', function() {
        //         navigator.serviceWorker.register('service-worker.js').then(function(registration) {
        //             console.log('ServiceWorker registration successful with scope: ', registration.scope);
        //         }, function(err) {
        //             console.log('ServiceWorker registration failed: ', err);
        //         });
        //     });
        // }
    </script>

    <!-- Header -->
    <header class="header mb-4">
        <div class="container-fluid">
            <div class="row align-items-center">
                <div class="col">
                    <h1 class="text-white">CMS</h1>
                </div>
                <div class="col-auto" style="position: relative">
                    <div id="openNotificationsButton" class="notifications">
                        <img class="base-icon" src="img/bell.svg" alt="Bell">
                    </div>

                    <!-- Notifications pop-up window -->
                    <div id="notificationWindow" class="notifications-window unvisible border border-2 p-3 border-dark bg-white rounded smooth-object">
                        <div class="row mb-3">
                            <div class="col-auto d-flex flex-column align-items-center">
                                <img src="img/user.svg" alt="profile-icon" class="user-profile__icon mb-1">
                                <span>Admin</span>
                            </div>
                            <div class="col">
                                <div class="notifications-content  container-fluid bg-secondary rounded"></div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-auto d-flex flex-column align-items-center">
                                <img src="img/user.svg" alt="profile-icon" class="user-profile__icon mb-1">
                                <span>Mike J.</span>
                            </div>
                            <div class="col">
                                <div class="notifications-content  container-fluid bg-secondary rounded"></div>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="col-auto" style="position: relative">

                    <div class="user-profile d-flex align-items-center">
                        <img src="img/user.svg" alt="profile icon" id="openUserProfileButton" class="user-profile__icon user-profile__icon-header">
                        <span class="user-profile__username text-white">Anton Vorobets</span>
                    </div>

                    <!-- User profile window -->
                    <div id="userProfileWindow" class="user-profile-window unvisible smooth-object rounded bg-white border border-2 border-dark">
                        <div class="user-profile-window__item smooth-object">Profile</div>
                        <div class="user-profile-window__item smooth-object">Log out</div>
                    </div>
                </div>
            </div>
        </div>
    </header>

    <!-- Main content -->
    <main>
        <div class="container-fluid">
            <div class="row">

                <!-- Menu -->
                <div class="col-md-3">

                    <nav class="navbar main-navbar navbar-expand-sm navbar-light rounded">
                        <div class="container-fluid">

                            <!-- Кнопка розгортання меню для мобільних пристроїв -->
                            <button class="navbar-toggler" type="button" aria-label="Menu" data-bs-toggle="collapse" data-bs-target="#navbarContent" aria-controls="navbarContent" aria-expanded="false">
                                <img class="base-icon" src="img/bars.svg" alt="Menu">
                            </button>

                            <div class="collapse navbar-collapse" id="navbarContent">
                                <ul class="navbar-nav mr-auto mb-2 flex-column">
                                    <li class="menu-item smooth-object nav-item rounded text-md-center">
                                        <a href="#" class="nav-link">Dashboard</a>
                                    </li>
                                    <li class="menu-item smooth-object rounded nav-item">
                                        <a href="#" class="nav-link active">Students</a>
                                    </li>
                                    <li class="menu-item smooth-object rounded nav-item">
                                        <a href="#" class="nav-link">Tasks</a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        
                    </nav>

                </div>

                <!-- Table -->
                <div class="col-md-9">
                    <div class="d-flex justify-content-between align-items-center me-md-5 mt-3">
                        <h3>Students</h3>
                        <button id="openFormButton" aria-label="OpenForm" class="general-button border rounded smooth-object">
                            <img class="base-icon" src="img/plus.svg" alt="Add Student">
                        </button>
                    </div>
                    
                    <div class="table--container mt-3 me-5">
                        <table id="studentsTable" class="table">
                            <tr class="d-flex">
                                <th class="content-center">Select</th>
                                <th class="content-center">ID</th>
                                <th class="content-center">Group</th>
                                <th class="content-center">Name</th>
                                <th class="content-center">Gender</th>
                                <th class="content-center">Birthday</th>
                                <th class="content-center">Status</th>
                                <th class="content-center">Options</th>
                            </tr>
                            <tr class="d-flex">
                                <td class="content-center">
                                    <input type="checkbox" class="choose--student__checkbox">
                                </td>
                                <td class="content-center">001</td>
                                <td class="content-center">PZ-26</td>
                                <td class="content-center">Anton Vorobets</td>
                                <td class="content-center">M</td>
                                <td class="content-center">2005-03-06</td>
                                <td class="content-center">
                                    <div class="choose-student-indicator unselected rounded-circle"></div>
                                </td>
                                <td class="d-flex content-center">
                                    <button class="edit-student-button general-button smooth-object rounded border" aria-label="Edit">
                                        <img class="base-icon" src="img/pen.svg" alt="Edit">
                                    </button>
                                    <button class="delete-student-button general-button smooth-object rounded border" aria-label="Delete">
                                        <img class="base-icon" src="img/xmark.svg" alt="Delete">
                                    </button>
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </main> 

    <nav class="navbar mt-5">
        <div class="container d-flex justify-content-center">
            <form class="form-inline">
                <button class="btn btn-secondary me-2" aria-label="Page">1</button>
                <button class="btn btn-outline-secondary" aria-label="Page">2</button>
            </form>
        </div>
    </nav>

    <!-- Add|Edit form -->
    <div id="form" class="form-container form-unvisible smooth-object d-flex align-items-center justify-content-center">
        <form id="studentForm" class="form bg-white border border-5 rounded p-4" method="get">
            <div class="d-flex align-items-center justify-content-between mb-4 pb-4 border-bottom">
                <h4 id="formTitle">Add student</h4>
                <button id="closeFormButton" class="btn btn-outline-secondary" aria-label="CloseForm">
                    <img class="base-icon" src="img/xmark.svg" alt="Close form">
                </button>
            </div>
            <div class="form-group d-flex justify-content-between align-items-center mb-3">
                <label class="col" for="studentGroup">Group: </label>
                <select name="studentgroup " id="studentGroup" class="form-control col">
                    <option value="PZ-21">PZ-21</option>
                    <option value="PZ-22">PZ-22</option>
                    <option value="PZ-23">PZ-23</option>
                    <option value="PZ-24">PZ-24</option>
                    <option value="PZ-25">PZ-25</option>
                    <option value="PZ-26">PZ-26</option>
                    <option value="PZ-27">PZ-27</option>
                </select>
            </div>
            <div class="form-group d-flex justify-content-between align-items-center mb-3">
                <label class="col" for="studentName">First name: </label>
                <input name="studentname " id="studentName" type="text" class="form-control col">
            </div>
            <div class="form-group d-flex justify-content-between align-items-center mb-3">
                <label class="col" for="studentLastname">Last name: </label>
                <input name="studentlastname" id="studentLastname" type="text" class="form-control col">
            </div>
            <div class="form-group d-flex justify-content-between align-items-center mb-3">
                <label class="col" for="studentGender">Gender: </label>
                <select name="studentgender " id="studentGender" class="form-control col">
                    <option value="M">M</option>
                    <option value="F">F</option>
                </select>
            </div>
            <div class="form-group d-flex justify-content-between align-items-center mb-3">
                <label for="studentDate" class="col" for="studentBirthday">Birthday: </label>
                <input name="studentdate " type="date" id="studentDate" class="form-control col">
            </div>
            <div class="border-top border-1 mt-4 pt-4 d-flex justify-content-end">
                <button id="confirmChangesButton" class="btn btn-outline-secondary me-2" aria-label="Edit">Ok</button>
                <button id="createStudentButton" class="btn btn-primary" aria-label="CreateStudent">Create</button>
            </div>
        </form>
    </div>

    <!-- Warning window -->
    <div id="warningContainer" class="warning-container smooth-object closed">
        <div class="warning-block smooth-object bg-white border border-2 border-dark rounded p-3">
            <div class="warning-block__heading container-fluid d-flex justify-content-between align-items-center border-2 border-bottom pb-3">
                <h3 class="flex-fill">Warning</h3>
                <button id="closeWarningButton" class="btn btn-outline-secondary" aria-label="CloseWarning">
                    <img class="base-icon" src="img/xmark.svg" alt="Close warning">
                </button>
            </div>
            <div class="container-fluid pb-5 pt-5 border-2 border-bottom pb-3">
                <span id="warningText">...</span>
            </div>
            <div class="container-fluid d-flex justify-content-end mt-3">
                <button id="confirmWarningButton" class="btn btn-outline-secondary me-2" aria-label="Edit">Ok</button>
                <button id="cancelWarningButton" class="btn btn-primary" aria-label="CreateStudent">Cancel</button>
            </div>
        </div>
    </div>
    
    <script src="js/bootstrap.bundle.min.js"></script>
    <script src="js/jquery-3.7.1.min.js"></script>

    <script src="js/script.js"></script>
    <script src="js/messages.js"></script>
    <script src="js/user.js"></script>
    <script src="js/form.js"></script>
    <script src="js/student.js"></script>
    <script src="js/warning.js"></script>

    <script src="js/animation.js"></script>
    <!-- <script src="service-worker.js"></script> -->
</body>
</html>